Package fr.gouv.vitam.worker.core.plugin.elimination.model

# Enum Class EliminationExtendedInfoType

java.lang.Object
java.lang.Enum<EliminationExtendedInfoType>
fr.gouv.vitam.worker.core.plugin.elimination.model.EliminationExtendedInfoType

All Implemented Interfaces:
  `Serializable`, `Comparable<EliminationExtendedInfoType>`, `Constable`

public enum EliminationExtendedInfoType extends Enum<EliminationExtendedInfoType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCESS_LINK_INCONSISTENCY`
  DESTROY & KEEP originating agencies inherited through the same direct parent unit.
  `FINAL_ACTION_INCONSISTENCY`
  The same originating agency have a KEEP and a DESTROY status.
  `KEEP_ACCESS_SP`
  The originating agency of the unit cannot has a "DESTROY" status, because one or more symbolic originating agencies have a "KEEP" status.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EliminationExtendedInfoType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EliminationExtendedInfoType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### KEEP_ACCESS_SP

    public static final EliminationExtendedInfoType KEEP_ACCESS_SP
    The originating agency of the unit cannot has a "DESTROY" status, because one or more symbolic originating agencies have a "KEEP" status.

  - ### ACCESS_LINK_INCONSISTENCY

    public static final EliminationExtendedInfoType ACCESS_LINK_INCONSISTENCY
    DESTROY & KEEP originating agencies inherited through the same direct parent unit. Removing the link to the parent would impact a KEEP originating agency.

  - ### FINAL_ACTION_INCONSISTENCY

    public static final EliminationExtendedInfoType FINAL_ACTION_INCONSISTENCY
    The same originating agency have a KEEP and a DESTROY status.

- ## Method Details

  - ### values

    public static EliminationExtendedInfoType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EliminationExtendedInfoType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null